Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERNumericString

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.DERObject
                  |
                  +--org.bouncycastle.asn1.DERNumericString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

public class DERNumericString
extends DERObject
implements DERString

DER NumericString object - this is an ascii string of characters {0,1,2,3,4,5,6,7,8,9, }.

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERNumericString(byte[] string)` basic constructor - with bytes.
`DERNumericString(java.lang.String string)` basic constructor - with string.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static DERNumericString` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Numeric String from a tagged object.
`static DERNumericString` | `getInstance(java.lang.Object obj)` return a Numeric string from the passed in object
`byte[]` | `getOctets()`
`java.lang.String` | `getString()`
`int` | `hashCode()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERNumericString

    public DERNumericString(byte[] string)

  basic constructor - with bytes.

### DERNumericString

    public DERNumericString(java.lang.String string)

  basic constructor - with string.

Method Detail

### getInstance

    public static DERNumericString getInstance(java.lang.Object obj)

  return a Numeric string from the passed in object
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERNumericString getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

  return an Numeric String from a tagged object.
  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `DERString`

### getOctets

    public byte[] getOctets()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `DERObject`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `DERObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD